Bug 970077 - DeviceSettingsNotFoundError: DeviceSettingsNotFoundError('wlp1s0',) (noipv6 + wiireless card -> crash)
DeviceSettingsNotFoundError: DeviceSettingsNotFoundError('wlp1s0',) (noipv6 +...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
abrt_hash:d1c864c461f07561f907a2abe99...
:
Depends On:
Blocks: F19-accepted/F19FinalFreezeException
  Show dependency treegraph
 
Reported: 2013-06-03 08:32 EDT by Ben Breard
Modified: 2013-06-11 23:38 EDT (History)
9 users (show)

See Also:
Fixed In Version: anaconda-19.30.3-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 23:38:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (966.94 KB, text/plain)
2013-06-03 08:32 EDT, Ben Breard
no flags Details
File: anaconda.log (13.88 KB, text/plain)
2013-06-03 08:33 EDT, Ben Breard
no flags Details
File: backtrace (1.13 KB, text/plain)
2013-06-03 08:33 EDT, Ben Breard
no flags Details
File: environ (837 bytes, text/plain)
2013-06-03 08:33 EDT, Ben Breard
no flags Details
File: ifcfg.log (399 bytes, text/plain)
2013-06-03 08:33 EDT, Ben Breard
no flags Details
File: lsblk_output (1.20 KB, text/plain)
2013-06-03 08:33 EDT, Ben Breard
no flags Details
File: nmcli_dev_list (7.70 KB, text/plain)
2013-06-03 08:33 EDT, Ben Breard
no flags Details
File: packaging.log (657.17 KB, text/plain)
2013-06-03 08:33 EDT, Ben Breard
no flags Details
File: program.log (46.51 KB, text/plain)
2013-06-03 08:33 EDT, Ben Breard
no flags Details
File: storage.log (111.61 KB, text/plain)
2013-06-03 08:33 EDT, Ben Breard
no flags Details
File: syslog (105.98 KB, text/plain)
2013-06-03 08:33 EDT, Ben Breard
no flags Details

  None (edit)
Description Ben Breard 2013-06-03 08:32:40 EDT
Description of problem:
Anaconda crashes at the end of installing on an Asus Eee PC 700.

F19 Beta i386 installed from PXE. The packages get installed fine but at the end of the install there's an exception (something w/ networkmanager). F19 will boot if I power it off, but root password and user accounts aren't set. This is a consistant problem; I've recreated it twice. 
The following was filed automatically by anaconda:
anaconda 19.30-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/pyanaconda/nm.py", line 384, in nm_device_setting_value
    raise DeviceSettingsNotFoundError(name)
  File "/usr/lib/python2.7/site-packages/pyanaconda/network.py", line 692, in <genexpr>
    for dev in nm.nm_devices())):
  File "/usr/lib/python2.7/site-packages/pyanaconda/network.py", line 692, in disableIPV6
    for dev in nm.nm_devices())):
  File "/usr/lib/python2.7/site-packages/pyanaconda/network.py", line 756, in write_network_config
    disableIPV6(rootpath)
  File "/usr/lib/python2.7/site-packages/pyanaconda/kickstart.py", line 809, in execute
    network.write_network_config(storage, ksdata, instClass, ROOT_PATH)
  File "/usr/lib/python2.7/site-packages/pyanaconda/install.py", line 78, in doConfiguration
    ksdata.network.execute(storage, ksdata, instClass)
  File "/usr/lib/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
DeviceSettingsNotFoundError: DeviceSettingsNotFoundError('wlp1s0',)

Version-Release number of selected component:
anaconda-19.30-1

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=f19i386/initrd.img noipv6 repo=http://192.168.81.25/distros/f19i386 BOOT_IMAGE=f19i386/vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.2-301.fc19.i686
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Beta

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib/python2.7/site-packages/pyanaconda/install.py", line 78, in doConfiguration
    ksdata.network.execute(storage, ksdata, instClass)
  File "/usr/lib/python2.7/site-packages/pyanaconda/kickstart.py", line 809, in execute
    network.write_network_config(storage, ksdata, instClass, ROOT_PATH)
  File "/usr/lib/python2.7/site-packages/pyanaconda/network.py", line 756, in write_network_config
    disableIPV6(rootpath)
  File "/usr/lib/python2.7/site-packages/pyanaconda/network.py", line 692, in disableIPV6
    for dev in nm.nm_devices())):
  File "/usr/lib/python2.7/site-packages/pyanaconda/network.py", line 692, in <genexpr>
    for dev in nm.nm_devices())):
  File "/usr/lib/python2.7/site-packages/pyanaconda/nm.py", line 384, in nm_device_setting_value
    raise DeviceSettingsNotFoundError(name)
DeviceSettingsNotFoundError: DeviceSettingsNotFoundError('wlp1s0',)
Comment 1 Ben Breard 2013-06-03 08:32:56 EDT
Created attachment 756283 [details]
File: anaconda-tb
Comment 2 Ben Breard 2013-06-03 08:33:00 EDT
Created attachment 756284 [details]
File: anaconda.log
Comment 3 Ben Breard 2013-06-03 08:33:03 EDT
Created attachment 756285 [details]
File: backtrace
Comment 4 Ben Breard 2013-06-03 08:33:06 EDT
Created attachment 756286 [details]
File: environ
Comment 5 Ben Breard 2013-06-03 08:33:09 EDT
Created attachment 756287 [details]
File: ifcfg.log
Comment 6 Ben Breard 2013-06-03 08:33:13 EDT
Created attachment 756288 [details]
File: lsblk_output
Comment 7 Ben Breard 2013-06-03 08:33:16 EDT
Created attachment 756289 [details]
File: nmcli_dev_list
Comment 8 Ben Breard 2013-06-03 08:33:27 EDT
Created attachment 756290 [details]
File: packaging.log
Comment 9 Ben Breard 2013-06-03 08:33:30 EDT
Created attachment 756291 [details]
File: program.log
Comment 10 Ben Breard 2013-06-03 08:33:34 EDT
Created attachment 756292 [details]
File: storage.log
Comment 11 Ben Breard 2013-06-03 08:33:38 EDT
Created attachment 756293 [details]
File: syslog
Comment 12 Radek Vykydal 2013-06-04 08:02:57 EDT
Patch sent for review, if you want you can check it using updates image for F19 Beta by adding

updates=http://rvykydal.fedorapeople.org/updates.noipv6wifi.img

to boot options.
Comment 13 Adam Williamson 2013-06-05 14:04:39 EDT
Discussed at 2013-06-05 freeze exception review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-06-05/f19final-blocker-review-3.2013-06-05-16.05.log.txt . Accepted as a freeze exception issue: we're basically +1 to all fixes for vaguely encounter-able crashes at this point.
Comment 14 Fedora Update System 2013-06-06 14:37:37 EDT
anaconda-19.30.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/anaconda-19.30.3-1.fc19
Comment 15 Fedora Update System 2013-06-07 11:42:15 EDT
Package anaconda-19.30.3-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-19.30.3-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10283/anaconda-19.30.3-1.fc19
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2013-06-11 23:38:41 EDT
anaconda-19.30.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.